/* lex_str.c */

#include "picasm.h"

void dostring()
{
	int ch;
	int f;

	ch = lexgetchar();
	f = 0;
	while(ch != '\"')
	{
		lexstrings[last_string][f] = ch;
		f++;
		if(f>BSIZE)
			error("string too long!","","","");
		ch = lexgetchar();
	}
	lexstrings[last_string][f] = EOS;

	current_symbol.token = STRING;
	current_symbol.value = last_string;

	last_string++;
	if (last_string > MAXSTRINGS)
		error("Too many strings encountered","","","");
}

/* ... The End ... */
